﻿Imports System.Xml
Imports System.Data.SqlClient


Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        AddUpdateConnectionString("ConString")
    End Sub

    Private Sub AddUpdateConnectionString(name As String)
        Dim isNew As Boolean = False
        Dim path As String = Server.MapPath("~/Web.Config")
        Dim doc As New XmlDocument()
        doc.Load(path)
        Dim list As XmlNodeList = doc.DocumentElement.SelectNodes(String.Format("connectionStrings/add[@name='{0}']", name))
        Dim node As XmlNode
        isNew = list.Count = 0
        If isNew Then
            node = doc.CreateNode(XmlNodeType.Element, "add", Nothing)
            Dim attribute As XmlAttribute = doc.CreateAttribute("name")
            attribute.Value = name
            node.Attributes.Append(attribute)

            attribute = doc.CreateAttribute("connectionString")
            attribute.Value = ""
            node.Attributes.Append(attribute)

            attribute = doc.CreateAttribute("providerName")
            attribute.Value = "System.Data.SqlClient"
            node.Attributes.Append(attribute)
        Else
            node = list(0)
        End If
        Dim conString As String = node.Attributes("connectionString").Value
        Dim conStringBuilder As New SqlConnectionStringBuilder(conString)
        conStringBuilder.InitialCatalog = "TestDB"
        conStringBuilder.DataSource = "myserver"
        conStringBuilder.IntegratedSecurity = False
        conStringBuilder.UserID = "test"
        conStringBuilder.Password = "12345"
        node.Attributes("connectionString").Value = conStringBuilder.ConnectionString
        If isNew Then
            doc.DocumentElement.SelectNodes("connectionStrings")(0).AppendChild(node)
        End If
        doc.Save(path)
    End Sub

End Class
